> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.phonic.ai/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.phonic.ai/_mcp/server.

# List

GET https://api.phonic.ai/v1/projects

Returns all projects in a workspace.

Reference: https://docs.phonic.ai/api-reference/projects/list

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication header of the form `Bearer <PHONIC_API_KEY>`. Manage your API keys [here](https://phonic.co/api-keys).

## Response

### 200

Success response

- `projects` (list of Project, required)

## Errors

### 401 Unauthorized Error

Unauthorized (authentication missing or invalid)

- `error` (BasicErrorError, optional)

### 500 Internal Server Error

Internal server error

- `error` (BasicErrorError, optional)

## Types

### Project

- `id` (string, required) — The ID of the project.
- `name` (string, required) — The name of the project.
- `default_agent` (ProjectDefaultAgent, required, nullable) — The project's default agent.
- `active_conversations` (integer, required) — Number of conversations currently in progress for this project.
- `max_active_conversations` (integer, required, nullable) — Maximum number of concurrent conversations allowed for this project. When `null`, the workspace `max_active_conversations` limit is used.

### BasicErrorError

- `message` (string, required) — Error message
- `code` (string, optional) — Error code

### ProjectDefaultAgent

The project's default agent.

- `id` (string, required) — The ID of the project's default agent.
- `name` (string, required) — The name of the project's default agent.

## Examples

**Response**

```json
{
  "projects": [
    {
      "id": "proj_ad0334f1-2487-4155-9df3-abd8129b29ad",
      "name": "customer-support",
      "default_agent": {
        "id": "agent_12cf6e88-c254-4d3e-a149-a7f1bdd22783",
        "name": "support-agent"
      },
      "active_conversations": 3,
      "max_active_conversations": 50
    }
  ]
}
```

**SDK Code**

```python List of projects
import requests

url = "https://api.phonic.ai/v1/projects"

headers = {"Authorization": "Bearer <apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript List of projects
const url = 'https://api.phonic.ai/v1/projects';
const options = {method: 'GET', headers: {Authorization: 'Bearer <apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go List of projects
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.phonic.ai/v1/projects"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby List of projects
require 'uri'
require 'net/http'

url = URI("https://api.phonic.ai/v1/projects")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <apiKey>'

response = http.request(request)
puts response.read_body
```

```java List of projects
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.phonic.ai/v1/projects")
  .header("Authorization", "Bearer <apiKey>")
  .asString();
```

```php List of projects
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.phonic.ai/v1/projects', [
  'headers' => [
    'Authorization' => 'Bearer <apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp List of projects
using RestSharp;

var client = new RestClient("https://api.phonic.ai/v1/projects");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <apiKey>");
IRestResponse response = client.Execute(request);
```

```swift List of projects
import Foundation

let headers = ["Authorization": "Bearer <apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.phonic.ai/v1/projects")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```